unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw, ComCtrls, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ComboBox1: TComboBox;
    StatusBar1: TStatusBar;
    WebBrowser1: TWebBrowser;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure ComboBox1Click(Sender: TObject);
    procedure ComboBox1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure WebBrowser1ProgressChange(Sender: TObject; Progress,
      ProgressMax: Integer);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ComboBox1Click(Sender: TObject);
begin
  if (ComboBox1.Text <> '') then
        WebBrowser1.Navigate(ComboBox1.Text);
end;

procedure TForm1.ComboBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Key = VK_RETURN) then
  begin
    Key:= 0;
    if (ComboBox1.Text = '') then exit;
    ComboBox1.Items.Insert(0,ComboBox1.Text);
    ComboBox1Click (Sender);
  end;
end;

procedure TForm1.WebBrowser1ProgressChange(Sender: TObject; Progress,
  ProgressMax: Integer);
var
  Percent: Integer;
begin
  if Progress<=0 then
      StatusBar1.SimpleText:=''
  else
    begin
      if ProgressMax=0 then Percent:=0
      else  Percent:=(Progress*100) div ProgressMax;
      StatusBar1.SimpleText:=Format(' :%d%%  %dK',[Percent,ProgressMax div 1024]);
    end;
end;

procedure TForm1.Button1Click(Sender: TObject);
// "".
begin
   WebBrowser1.Refresh();
end;

procedure TForm1.Button2Click(Sender: TObject);
// "".
begin
  WebBrowser1.Stop();
  StatusBar1.SimpleText:='';
end;

procedure TForm1.Button3Click(Sender: TObject);
// "".
begin
  WebBrowser1.GoHome();
end;

procedure TForm1.Button4Click(Sender: TObject);
// "".
begin
  WebBrowser1.GoForward();
end;

procedure TForm1.Button5Click(Sender: TObject);
// "".
begin
  WebBrowser1.GoBack();
end;

end.
